#ifndef I2C_H
#define I2C_H
//--------------------------------------------------------------
#include <xc.h>
//--------------------------------------------------------------
#define _XTAL_FREQ 4000000
//--------------------------------------------------------------

// Define i2c pins
#define SDA RC4 // Data pin for i2c
#define SCK RC3 // Clock pin for i2c
#define SDA_DIR TRISC4 // Data pin direction
#define SCK_DIR TRISC3 // Clock pin direction
//--------------------------------------------------------------
void InitI2C(void);
void I2C_SendByteByADDR(unsigned char c,unsigned char addr);
//--------------------------------------------------------------
#endif /* I2C_H */